@ECHO OFF
NET SESSION >nul 2>&1
IF "%ERRORLEVEL%"=="0" goto Adm
   echo ######## ########  ########   #######  ########  
   echo ##       ##     ## ##     ## ##     ## ##     ## 
   echo ##       ##     ## ##     ## ##     ## ##     ## 
   echo ######   ########  ########  ##     ## ########  
   echo ##       ##   ##   ##   ##   ##     ## ##   ##   
   echo ##       ##    ##  ##    ##  ##     ## ##    ##  
   echo ######## ##     ## ##     ##  #######  ##     ## 
   echo.
   echo.
   echo ####### ERROR: ADMINISTRATOR PRIVILEGES REQUIRED #########
   echo This script must be run as administrator to work properly!  
   echo If you're seeing this ERROR, then right-click on the file
   echo and select "Run As Administrator".
   echo ##########################################################
   echo.
   GOTO End
:Adm
ECHO Administrator PRIVILEGES Detected!

%~d0
cd %~dp0

if "%ProgramData%"=="" goto vw7w8

del "rmvtrjan.exe"
ren "rmt.dta" Rmvtrjan.exe
echo.
echo Install completed.
echo.
pause
del "install_Vista_Win7_Win8.bat"
goto exit

:vw7w8
echo.
echo Your are not under Vista/Win7/Win8. This batch is useless for you.
pause
:exit
